Bug 1251592 - Fix the tests infra
Fix the tests infra
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: tests (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra Talur
: Reopened, Triaged
Depends On:
Blocks: 1257012
  Show dependency treegraph
 
Reported: 2015-08-07 16:22 EDT by Raghavendra Talur
Modified: 2016-06-16 09:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1257012 (view as bug list)
Environment:
Last Closed: 2016-06-16 09:29:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Talur 2015-08-07 16:22:25 EDT
Description of problem:
Enable easier debugging of tests when they fail in jenkins.
Comment 1 Anand Avati 2015-08-08 08:41:19 EDT
REVIEW: http://review.gluster.org/11865 (tests: Disable trace mode in G_LOG) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 2 Anand Avati 2015-08-11 10:13:00 EDT
REVIEW: http://review.gluster.org/11865 (tests: Disable trace mode in G_LOG) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 3 Anand Avati 2015-08-12 14:57:53 EDT
COMMIT: http://review.gluster.org/11865 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit f7e14df044ee5091bc89ad7ad2a7d22092b50be8
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Sat Aug 8 01:53:52 2015 +0530

    tests: Disable trace mode in G_LOG
    
    We run tests in trace mode(set -x) when
    re-running failed tests. G_LOG is a util
    function and it need not be executed in
    trace mode.
    
    Change-Id: I5490bdcacef6856c5501272c8173828c30aaf373
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/11865
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
Comment 4 Anand Avati 2015-08-17 03:01:57 EDT
REVIEW: http://review.gluster.org/11933 (tests: Move mount-nfs-auth.t to bad tests) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 5 Anand Avati 2015-08-24 02:41:25 EDT
REVIEW: http://review.gluster.org/11993 (tests: Have unique names for local variables) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 6 Anand Avati 2015-08-24 03:29:16 EDT
REVIEW: http://review.gluster.org/11993 (tests: Fix corruption of files on NetBSD) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 7 Anand Avati 2015-08-24 03:45:48 EDT
REVIEW: http://review.gluster.org/11993 (tests: Fix corruption of files on NetBSD) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 8 Anand Avati 2015-08-25 02:33:59 EDT
REVIEW: http://review.gluster.org/11993 (tests: Fix corruption of files on NetBSD) posted (#6) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 9 Anand Avati 2015-08-26 00:20:09 EDT
COMMIT: http://review.gluster.org/11993 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit 734e9ed2827c39336e1fab26e2db3ea987976ce1
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Mon Aug 24 12:04:54 2015 +0530

    tests: Fix corruption of files on NetBSD
    
    This is one more attempt to eliminate corruption
    of files by our tests scripts on NetBSD.
    
    Changes done:
    1. Have every local variable with a unique name.
    2. Change date format to match with gluster's.
    3. Pass the parameters to G_LOG without interpretation,
       hence the change from $* to $@.
    
    Change-Id: I833a93555da93179a1b39a9e4e7086216c335c3d
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/11993
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Avra Sengupta <asengupt@redhat.com>
Comment 10 Vijay Bellur 2015-09-02 14:28:12 EDT
REVIEW: http://review.gluster.org/12093 (tests: Reorganise cleanup function) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 11 Vijay Bellur 2015-09-03 09:52:01 EDT
REVIEW: http://review.gluster.org/12093 (tests: Reorganise cleanup function) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 12 Vijay Bellur 2015-09-05 08:10:47 EDT
COMMIT: http://review.gluster.org/12093 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit 5b49851601ab53450777438268f0732c65795f98
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Wed Sep 2 18:40:32 2015 +0530

    tests: Reorganise cleanup function
    
    Change-Id: Ifbfb4b05230f023c244760a7d57c33c4463ce6d9
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/12093
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 13 Vijay Bellur 2015-09-06 14:55:14 EDT
REVIEW: http://review.gluster.org/12110 (tests: Separate logs for each test) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 14 Vijay Bellur 2015-09-07 16:15:19 EDT
REVIEW: http://review.gluster.org/12110 (tests: Separate logs for each test) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 15 Vijay Bellur 2015-10-13 08:26:02 EDT
REVIEW: http://review.gluster.org/12110 (tests: Separate logs for each test) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 16 Vijay Bellur 2015-10-13 08:26:11 EDT
REVIEW: http://review.gluster.org/12110 (tests: Separate logs for each test) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 17 Vijay Bellur 2015-10-14 08:48:27 EDT
REVIEW: http://review.gluster.org/12110 (tests: Separate logs for each test) posted (#5) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 18 Vijay Bellur 2015-10-27 10:15:07 EDT
COMMIT: http://review.gluster.org/12110 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit d6c7ca9d30ee573dd4620941a5b5dd1a2a4a6e98
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Mon Sep 7 00:24:05 2015 +0530

    tests: Separate logs for each test
    
    Change-Id: Ib286e3d4d7c432dab8073fce582ccbf723eb31d2
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/12110
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
Comment 19 Vijay Bellur 2015-12-15 01:39:37 EST
REVIEW: http://review.gluster.org/12967 (test: Move tests/bugs/tier/bug-1286974.t to bad test) posted (#1) for review on master by mohammed rafi  kc (rkavunga@redhat.com)
Comment 20 Vijay Bellur 2015-12-15 06:46:19 EST
COMMIT: http://review.gluster.org/12967 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f870585ca23a6329442d550e325ad81cec0135b8
Author: Mohammed Rafi KC <rkavunga@redhat.com>
Date:   Tue Dec 15 12:05:25 2015 +0530

    test: Move tests/bugs/tier/bug-1286974.t to bad test
    
    Moving this bug into bad test as it causes some spurious
    failures
    
    Change-Id: I5fe491858283374e5a061a48c50ac5a02a2941fa
    BUG: 1251592
    Signed-off-by: Mohammed Rafi KC <rkavunga@redhat.com>
    Reviewed-on: http://review.gluster.org/12967
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 21 Vijay Bellur 2015-12-31 06:34:06 EST
REVIEW: http://review.gluster.org/13128 (tests: include unistd.h for fdatasync) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 22 Vijay Bellur 2016-01-04 07:43:21 EST
REVIEW: http://review.gluster.org/13128 (tests: include unistd.h for fdatasync) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 23 Vijay Bellur 2016-01-07 04:43:30 EST
REVIEW: http://review.gluster.org/13128 (tests: include unistd.h for fdatasync) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 24 Vijay Bellur 2016-01-11 23:16:06 EST
REVIEW: http://review.gluster.org/13128 (tests: include unistd.h for fdatasync) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 25 Vijay Bellur 2016-01-12 00:57:52 EST
REVIEW: http://review.gluster.org/13128 (tests: include unistd.h for fdatasync) posted (#5) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 26 Vijay Bellur 2016-01-12 00:59:05 EST
REVIEW: http://review.gluster.org/13128 (tests: include unistd.h for fdatasync) posted (#6) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 27 Vijay Bellur 2016-01-12 04:51:24 EST
REVIEW: http://review.gluster.org/13128 (tests: include unistd.h for fdatasync) posted (#7) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 28 Vijay Bellur 2016-01-12 04:58:38 EST
REVIEW: http://review.gluster.org/13128 (tests: include unistd.h for fdatasync) posted (#8) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 29 Vijay Bellur 2016-01-14 06:35:50 EST
COMMIT: http://review.gluster.org/13128 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit ced0f360e4606ecf66a73ece54553523567f9995
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Thu Dec 31 16:39:21 2015 +0530

    tests: include unistd.h for fdatasync
    
    gcc throws a warning if unistd.h is not included.
    
    
    Change-Id: I37f35f60c84fb6667a503696063a4c9987d8ab2f
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13128
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 30 Vijay Bellur 2016-02-01 14:23:38 EST
REVIEW: http://review.gluster.org/13328 (tests: refactor option parsing into a function) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 31 Vijay Bellur 2016-02-01 14:24:29 EST
REVIEW: http://review.gluster.org/13328 (tests: refactor option parsing into a function) posted (#5) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 32 Vijay Bellur 2016-02-03 05:38:55 EST
COMMIT: http://review.gluster.org/13328 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit d9e5977b08259580deccad2e0eed3a106094820a
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Mon Feb 1 12:29:40 2016 +0530

    tests: refactor option parsing into a function
    
    Creating a separate function to parse options.
    This is required for subsequent patches where we add
    more options to run-tests.sh.
    
    Created a variable tests to hold the tests list or
    pattern as passing around $@ is not informative.
    
    Change-Id: I032639c07419f5136c604531c5719c13ac4f9fe3
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13328
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
Comment 33 Vijay Bellur 2016-02-03 05:39:34 EST
REVIEW: http://review.gluster.org/13334 (tests: Make match function simpler) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 34 Vijay Bellur 2016-02-03 05:39:48 EST
REVIEW: http://review.gluster.org/13335 (tests: Combine run_all and run_tests) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 35 Vijay Bellur 2016-02-03 05:40:01 EST
REVIEW: http://review.gluster.org/13336 (tests: always use $@ and in quotes) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 36 Vijay Bellur 2016-02-03 05:40:09 EST
REVIEW: http://review.gluster.org/13337 (tests: combine main and main_and_retry into run_tests) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 37 Vijay Bellur 2016-02-03 09:42:47 EST
REVIEW: http://review.gluster.org/13336 (tests: always use $@ and in quotes) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 38 Vijay Bellur 2016-02-03 09:42:51 EST
REVIEW: http://review.gluster.org/13337 (tests: combine main and main_and_retry into run_tests) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 39 Vijay Bellur 2016-02-03 09:42:55 EST
REVIEW: http://review.gluster.org/13335 (tests: Combine run_all and run_tests) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 40 Vijay Bellur 2016-02-04 03:58:02 EST
COMMIT: http://review.gluster.org/13336 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit cf914bbf07e329001fd5a844ef9c2c25d17ed131
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Tue Feb 2 19:24:07 2016 +0530

    tests: always use $@ and in quotes
    
    Change-Id: I318d8b0ea60937f74b3280fa2ad26876ce8c3345
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13336
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
Comment 41 Vijay Bellur 2016-02-04 04:21:34 EST
REVIEW: http://review.gluster.org/13337 (tests: combine main and main_and_retry into run_tests) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 42 Vijay Bellur 2016-02-04 04:21:37 EST
REVIEW: http://review.gluster.org/13334 (tests: Make match function simpler) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 43 Vijay Bellur 2016-02-04 04:21:39 EST
REVIEW: http://review.gluster.org/13335 (tests: Combine run_all and run_tests) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 44 Vijay Bellur 2016-02-04 07:50:23 EST
REVIEW: http://review.gluster.org/13356 (tests: Cosmetic changes to make results look better) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 45 Vijay Bellur 2016-02-04 07:51:52 EST
REVIEW: http://review.gluster.org/13356 (tests: Cosmetic changes to make results look better) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 46 Vijay Bellur 2016-02-08 03:27:59 EST
COMMIT: http://review.gluster.org/13334 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit 152832a34b1a03448356298e08d7de36f3a9e992
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Tue Feb 2 18:14:24 2016 +0530

    tests: Make match function simpler
    
    We don't use the dir matching code in run_all.
    It is used in run_tests but it is not generic enough
    and needs work to be fixed.
    
    Rather, making the match function simpler and work for
    only files is easier.
    
    This will help with refactoring of run_all and run_tests.
    
    Change-Id: Ifcd1217480738316736184a51813052ac6a1124e
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13334
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
Comment 47 Vijay Bellur 2016-02-08 03:28:37 EST
COMMIT: http://review.gluster.org/13335 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit fa9f05f8d6a74472b65a887b684448f8d5c3011d
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Tue Feb 2 19:12:41 2016 +0530

    tests: Combine run_all and run_tests
    
    Both the functions perform the same job.
    If no args are given or if args is null string then
    run_tests will act as run_all.
    
    Change-Id: I27284af95fa012b64bba16ac50da8181edfa6336
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13335
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
Comment 48 Vijay Bellur 2016-02-08 03:31:09 EST
COMMIT: http://review.gluster.org/13337 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit 6d9a976e53136dd4acc3fb33384035af77dae24c
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Tue Feb 2 19:34:01 2016 +0530

    tests: combine main and main_and_retry into run_tests
    
    run_tests is now aware of retry option and will handle the re-run within
    itself. We don't need main_and_retry and main anymore.
    
    Change-Id: I0f8cad88e29c81588dc0af9f5de78177d0f4e828
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13337
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
Comment 49 Vijay Bellur 2016-02-08 03:32:18 EST
COMMIT: http://review.gluster.org/13356 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit aeaba5858f4ec1dbea28450bae33c421c750f64a
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Thu Feb 4 18:18:15 2016 +0530

    tests: Cosmetic changes to make results look better
    
    Change-Id: I39116bdca1db3a02bb018af245055fbf8279671d
    BUG: 1251592
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/13356
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
Comment 50 Niels de Vos 2016-06-16 09:29:42 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.